Bug 1417790 - [abrt] blueman: connection.py:651:call_blocking:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 2 matched rules; type="method_call", sender=":1.1159" (uid=27001 pid=11673 comm="python3 /usr/bin/blueman-app...
Summary: [abrt] blueman: connection.py:651:call_blocking:dbus.exceptions.DBusException...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: blueman
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:341be623ad1bf9b66ee1c4e64b0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 03:09 UTC by Pete Travis
Modified: 2017-12-12 10:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:36:01 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (2.26 KB, text/plain)
2017-01-31 03:09 UTC, Pete Travis
no flags Details
File: environ (887 bytes, text/plain)
2017-01-31 03:09 UTC, Pete Travis
no flags Details

Description Pete Travis 2017-01-31 03:09:51 UTC
Description of problem:
New i3 session, no recent changes.

Version-Release number of selected component:
blueman-2.0.4-4.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        python3 /usr/bin/blueman-applet
executable:     /usr/bin/blueman-applet
kernel:         4.9.2-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            27001

Truncated backtrace:
connection.py:651:call_blocking:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 2 matched rules; type="method_call", sender=":1.1159" (uid=27001 pid=11673 comm="python3 /usr/bin/blueman-applet " label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023") interface="org.freedesktop.DBus.ObjectManager" member="GetManagedObjects" error name="(unset)" requested_reply="0" destination="org.bluez" (uid=0 pid=1868 comm="/usr/libexec/bluetooth/bluetoothd " label="system_u:system_r:bluetooth_t:s0")

Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/blueman/plugins/applet/ShowConnected.py", line 55, in enumerate_connections
    adapters = self.Applet.Manager.list_adapters()
  File "/usr/lib/python3.5/site-packages/blueman/bluez/errors.py", line 148, in warp
    raise parse_dbus_error(exception)
  File "/usr/lib/python3.5/site-packages/blueman/bluez/errors.py", line 146, in warp
    return func(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blueman/bluez/Manager.py", line 29, in list_adapters
    objects = self.get_interface().GetManagedObjects()
  File "/usr/lib64/python3.5/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib64/python3.5/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 2 matched rules; type="method_call", sender=":1.1159" (uid=27001 pid=11673 comm="python3 /usr/bin/blueman-applet " label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023") interface="org.freedesktop.DBus.ObjectManager" member="GetManagedObjects" error name="(unset)" requested_reply="0" destination="org.bluez" (uid=0 pid=1868 comm="/usr/libexec/bluetooth/bluetoothd " label="system_u:system_r:bluetooth_t:s0")

Local variables in innermost frame:
timeout: -1.0
self: <dbus._dbus.SystemBus (system) at 0x7f420f2e1200>
dbus_interface: 'org.freedesktop.DBus.ObjectManager'
kwargs: {}
message: <dbus.lowlevel.MethodCallMessage path: /, iface: org.freedesktop.DBus.ObjectManager, member: GetManagedObjects dest: org.bluez>
object_path: '/'
method: 'GetManagedObjects'
args: ()
bus_name: 'org.bluez'
signature: None
byte_arrays: False
get_args_opts: {'byte_arrays': False}

Comment 1 Pete Travis 2017-01-31 03:09:56 UTC
Created attachment 1246071 [details]
File: backtrace

Comment 2 Pete Travis 2017-01-31 03:09:57 UTC
Created attachment 1246072 [details]
File: environ

Comment 3 Pete Travis 2017-01-31 04:05:59 UTC
This didn't happen after a reboot, it was probably caused by problems in my environment.  I'm happy with closing this, or keeping open for better error handling at the maintainer's discretion.

Comment 4 Fedora End Of Life 2017-11-16 14:08:48 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:36:01 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.